aboutsummaryrefslogtreecommitdiff
path: root/media/libs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-10-05 04:21:13 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-10-05 04:21:13 +0000
commit02a5a8ca267286881fdf7e01c57750afcd14cf00 (patch)
tree71e7debd64f64bb74820de64332ee922faf958ee /media/libs
parent01a74707f206f485750d1317d1b91c3a16e6c898 (diff)
downloadslackbuilds-02a5a8ca267286881fdf7e01c57750afcd14cf00.tar.gz
slackbuilds-02a5a8ca267286881fdf7e01c57750afcd14cf00.tar.bz2
Alterações
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1409 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/libs')
-rwxr-xr-xmedia/libs/libdvdcss/libdvdcss.SlackBuild9
-rwxr-xr-xmedia/libs/libdvdread/libdvdread.SlackBuild33
-rw-r--r--media/libs/libdvdread/slack-required4
3 files changed, 26 insertions, 20 deletions
diff --git a/media/libs/libdvdcss/libdvdcss.SlackBuild b/media/libs/libdvdcss/libdvdcss.SlackBuild
index 6de4ec7f..e31051a6 100755
--- a/media/libs/libdvdcss/libdvdcss.SlackBuild
+++ b/media/libs/libdvdcss/libdvdcss.SlackBuild
@@ -83,11 +83,16 @@ if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
fi
+# Untar
cd "$TMP"
-tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TA
cd "$PKG_SRC"
-for i in `grep -r 'é' * | cut -f1 -d:`; do sed 's/é/e/g' $i > $i.out; mv $i.out $i; done
+# Slackware 12.0 TeX set
+for i in `grep -lr 'é' *`; do
+ sed 's/é/e/g' $i > $i.new
+ mv $i.new $i
+done
# Configure
CFLAGS="$SLKCFLAGS" \
diff --git a/media/libs/libdvdread/libdvdread.SlackBuild b/media/libs/libdvdread/libdvdread.SlackBuild
index 008b9a09..4491267d 100755
--- a/media/libs/libdvdread/libdvdread.SlackBuild
+++ b/media/libs/libdvdread/libdvdread.SlackBuild
@@ -1,21 +1,22 @@
#!/bin/bash
#
-# libdvdread.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libdvdread.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# libdvdread.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libdvdread.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild for libdvdread
-# http://freshmeat.net/redir/libdvdread/17926/url_tgz/
-#
-# Author: Rudson R. Alves
+# slackbuild for libdvdread, by Rudson R. Alves
+# requires: libdvdcss
+# tested: libdvdread-0.9.7
#
# Look for slackbuildrc
@@ -29,7 +30,7 @@ fi
CWD="$(pwd)"
SRC_NAME="libdvdread"
PKG_NAME="libdvdread"
-ARCH=${ARCH:=i468}
+ARCH=${ARCH:=i486}
SRC_VERSION=${VERSION:=0.9.7}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
@@ -40,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -74,13 +75,14 @@ mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+SRC="$SRC_NAME-$VERSION.tar.gz"
URL="http://freshmeat.net/redir/libdvdread/17926/url_tgz/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
+
# Untar
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
@@ -90,7 +92,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -121,7 +123,7 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler--------------------------------------------------|
+ |-----handy-ruler---------------------------------------------------|
libdvdread: libdvdread.SlackBuild by Slack.Sarava
libdvdread:
libdvdread: libdvdread provides a simple foundation for reading DVD-Video
@@ -142,4 +144,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-
diff --git a/media/libs/libdvdread/slack-required b/media/libs/libdvdread/slack-required
index 22253877..a2abf1e6 100644
--- a/media/libs/libdvdread/slack-required
+++ b/media/libs/libdvdread/slack-required
@@ -1,4 +1,4 @@
# Dependency list to libdvdread
-#
+#
# dependency [condition] [version]]
-libdvdcss
+libdvdcss